MINARA

建立 Copilot 價格建議

POST /v1/perps/copilot-analysis: 透過本地 Agent 綜合行情、工具和技能產生永續合約建議。

POST /v1/perps/copilot-analysis

透過本地 Agent 執行有預算限制的研究,結合所選永續合約交易所的行情快照,以及相關的即時工具和技能。Agent 使用已連接的模型服務,本地執行不代表離線模型。透過 executionSymbol 指定精確合約,透過 locale 指定回覆語言。省略 subAccountId 時,必須恰好有一個可用的活躍錢包。此端點不會預覽、建立或執行訂單。

方法POST
路徑/v1/perps/copilot-analysis
驗證驗證orization: Bearer <token> required when GATEWAY_AUTH_TOKEN is set
類別perps

請求主體

{ "symbol": "BTC", "executionSymbol": "BTC", "style": "day", "strategy": "max_gain", "initialMarginUsd": 1000, "subAccountId": "sub_123", "locale": "en" }

回應主體

{ "recommendation": { "id": "copilot-1", "direction": "long", "entryPrice": 65000, "takeProfitPrice": 68000, "stopLossPrice": 63000, "initialMarginUsd": 1000, "reasons": ["Venue momentum and current catalysts support the setup"], "risks": ["Funding and volatility may invalidate the setup"], "source": "local_agent", "marketMode": "perps", "executionSymbol": "BTC", "exchange": "hyperliquid", "subAccountId": "sub_123", "research": { "tools": [{ "tool": "web_search", "ok": true, "retrievedAt": "2026-09-16T00:00:00.000Z" }], "skills": [] } }, "connected": true }

本頁目錄